%define section   free
%define base_name commons-jelly
%define jakarta_version 1.0

Name:           jakarta-%{base_name}
Version:        %{jakarta_version}
Release:        0.rc1.2jpp_2rh
Epoch:          0
Summary:        Jelly Scripting Engine

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/commons/jelly/
Source0:        commons-jelly-1.0-RC1.src.tar.gz
#cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic login
#cvs -z3 -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic export -r COMMONS_JELLY-1_0_RC1 jakarta-commons/jelly
Source1:        commons-jelly-tags-jmx-build.xml
Patch0:		commons-jelly-tags-util-LoadTextTag.patch
Patch1:		commons-jelly-tags-xml-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#Distribution:   JPackage
#Vendor:         JPackage Project
BuildArch:      noarch
# Jelly build and test BuildRequires
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-junit >= 0:1.6
BuildRequires:  junit
BuildRequires:  xmlunit
# Jelly general BuildRequires
BuildRequires:  dom4j >= 0:1.5
BuildRequires:  jakarta-commons-jexl >= 0:1.0
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-cli
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-discovery
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-taglibs-standard
BuildRequires:  jaxen >= 0:1.1
BuildRequires:  forehead
BuildRequires:  servletapi4
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
# Jelly taglibs individual BuildRequires
## for tags-ant, tags-fmt and tags-jsl
BuildRequires:	jakarta-commons-grant
## for tags-antlr
BuildRequires:	antlr
## for tags-avalon
BuildRequires:	avalon-framework
## for tags-beanshell and tags-fmt
BuildRequires:	bsh
## for tags-beanshell
BuildRequires:	libreadline-java
## for tags-betwixt
BuildRequires:	jakarta-commons-betwixt
BuildRequires:	jakarta-commons-digester
## for tags-bsf
BuildRequires:	bsf
## for tags-email
BuildRequires:	jaf
BuildRequires:	javamail
## for tags-html
BuildRequires:	nekohtml
## for tags-http, tags-jetty and tags-soap
BuildRequires:	jakarta-commons-httpclient
## for tags-jaxme
BuildRequires:	ws-jaxme
## for tags-jetty
# We don't ship Jetty
#BuildRequires:	jetty4
#BuildRequires:	servletapi4
## for tags-jms
# We don't ship jakarta-commons-messenger
#BuildRequires:	jakarta-commons-messenger
#BuildRequires:	jms
## for tags-jmx
BuildRequires:	mx4j
## for tags-junit
#BuildRequires:	junit # already required as general test tool
## for tags-ojb
# We don't ship db-ojb
#BuildRequires:	db-ojb
## for tags-quartz
# We don't ship quartz
#BuildRequires:	log4j
#BuildRequires:	quartz
## for tags-soap
BuildRequires:	axis
## for tags-sql
BuildRequires:	hsqldb
BuildRequires:	jdbc-stdext
## for tags-validate
BuildRequires:	isorelax
BuildRequires:	msv-strict
BuildRequires:	relaxngDatatype
## for tags-velocity
BuildRequires:	velocity
## for tags-xmlunit and unit tests of tags-jaxme
BuildRequires:	xmlunit
# Jelly general runtime requirements
Requires:  dom4j >= 0:1.5
Requires:  jakarta-commons-jexl >= 0:1.0
Requires:  jakarta-commons-beanutils
Requires:  jakarta-commons-cli
Requires:  jakarta-commons-collections
Requires:  jakarta-commons-discovery
Requires:  jakarta-commons-lang
Requires:  jakarta-commons-logging
Requires:  jakarta-taglibs-standard
Requires:  jaxen >= 0:1.1
Requires:  forehead
Requires:  servletapi4
Requires:  xerces-j2
Requires:  xml-commons-apis

%description
Jelly is a Java and XML based scripting engine. 
Jelly combines the best ideas from JSTL, Velocity, 
DVSL, Ant and Cocoon all together in a simple
yet powerful scripting engine.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}. Includes javadocs for all jelly-tags

%package 	tags-ant
Summary:        Ant tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-util = 0:%{version}-%{release}
Requires:	jakarta-commons-grant

%description    tags-ant
%{summary}.

%package 	tags-antlr
Summary:        Antlr tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	antlr

%description    tags-antlr
%{summary}.

%package 	tags-avalon
Summary:        Avalon tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	avalon-framework

%description    tags-avalon
%{summary}.

%package 	tags-bean
Summary:        Bean tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-log = 0:%{version}-%{release}

%description    tags-bean
%{summary}.

%package 	tags-beanshell
Summary:        BSH tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	bsh
Requires:	libreadline-java

%description    tags-beanshell
%{summary}.

%package 	tags-betwixt
Summary:        Betwixt tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-log = 0:%{version}-%{release}
Requires:	jakarta-commons-betwixt
Requires:	jakarta-commons-digester

%description    tags-betwixt
%{summary}.

%package 	tags-bsf
Summary:        BSF tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	bsf

%description    tags-bsf
%{summary}.

%package 	tags-define
Summary:        Define tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-dynabean = 0:%{version}-%{release}
Requires:	%{name}-tags-log = 0:%{version}-%{release}
Requires:	%{name}-tags-xml = 0:%{version}-%{release}

%description    tags-define
%{summary}.

%package 	tags-dynabean
Summary:        Dynabean tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}

%description    tags-dynabean
%{summary}.

%package 	tags-email
Summary:        Email tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	jaf
Requires:	javamail

%description    tags-email
%{summary}.

%package 	tags-fmt
Summary:        Formatting tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-ant = 0:%{version}-%{release}
Requires:	%{name}-tags-beanshell = 0:%{version}-%{release}
Requires:	bsh
Requires:	jakarta-commons-grant

%description    tags-fmt
%{summary}.

%package 	tags-html
Summary:        HTML tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-jsl = 0:%{version}-%{release}
Requires:	%{name}-tags-log = 0:%{version}-%{release}
Requires:	%{name}-tags-xml = 0:%{version}-%{release}
Requires:	nekohtml

%description    tags-html
%{summary}.

%package 	tags-http
Summary:        HTTP tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-define = 0:%{version}-%{release}
Requires:	jakarta-commons-httpclient

%description    tags-http
%{summary}.

%package 	tags-interaction
Summary:        Interaction tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}

%description    tags-interaction
%{summary}.

%package 	tags-jaxme
Summary:        JaxME tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	ws-jaxme

%description    tags-jaxme
%{summary}.

# We don't ship Jetty
#%package 	tags-jetty
#Summary:        Jetty tags for %{name}
#Group:          Development/Libraries/Java
#Requires:	%{name} = 0:%{version}-%{release}
#Requires:	%{name}-tags-http = 0:%{version}-%{release}
#Requires:	jakarta-commons-httpclient
#Requires:	jetty4
#Requires:	servletapi4
#
#%description    tags-jetty
#%{summary}.

# We don't ship jakarta-commons-messenger
#%package 	tags-jms
#Summary:        JMS tags for %{name}
#Group:          Development/Libraries/Java
#Requires:	%{name} = 0:%{version}-%{release}
#Requires:	jakarta-commons-messenger
#Requires:	jms
#
#%description    tags-jms
#%{summary}.

%package 	tags-jmx
Summary:        JMX tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-bean = 0:%{version}-%{release}
Requires:	%{name}-tags-log = 0:%{version}-%{release}
Requires:	mx4j

%description    tags-jmx
%{summary}.

%package 	tags-jsl
Summary:        JSL tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-ant = 0:%{version}-%{release}
Requires:	%{name}-tags-log = 0:%{version}-%{release}
Requires:	%{name}-tags-xml = 0:%{version}-%{release}
Requires:	jakarta-commons-grant

%description    tags-jsl
%{summary}.

%package 	tags-junit
Summary:        JUnit tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	junit

%description    tags-junit
%{summary}.

%package 	tags-log
Summary:        Logging tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}

%description    tags-log
%{summary}.

# We don't ship db-ojb
#%package 	tags-ojb
#Summary:        OJB tags for %{name}
#Group:          Development/Libraries/Java
#Requires:	%{name} = 0:%{version}-%{release}
#Requires:	db-ojb
#
#%description    tags-ojb
#%{summary}.

# We don't ship quartz
#%package 	tags-quartz
#Summary:        Quartz tags for %{name}
#Group:          Development/Libraries/Java
#Requires:	%{name} = 0:%{version}-%{release}
#Requires:	log4j
#Requires:	quartz
#
#%description    tags-quartz
#%{summary}.

%package 	tags-soap
Summary:        Soap tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	axis
Requires:	jakarta-commons-httpclient

%description    tags-soap
%{summary}.

%package 	tags-sql
Summary:        SQL tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	hsqldb
Requires:	jdbc-stdext

%description    tags-sql
%{summary}.

%package 	tags-swing
Summary:        Swing tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}

%description    tags-swing
%{summary}.

%package 	tags-threads
Summary:        Threads tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}

%description    tags-threads
%{summary}.

%package 	tags-util
Summary:        Utility tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}

%description    tags-util
%{summary}.

%package 	tags-validate
Summary:        XML Schema validation tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	isorelax
Requires:	msv-strict
Requires:	relaxngDatatype

%description    tags-validate
%{summary}.

%package 	tags-velocity
Summary:        Velocity tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	velocity

%description    tags-velocity
%{summary}.

%package 	tags-xml
Summary:        Xml tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}

%description    tags-xml
%{summary}.

%package 	tags-xmlunit
Summary:        Xmlunit tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-xml = 0:%{version}-%{release}
Requires:	xmlunit

%description    tags-xmlunit
%{summary}.


%prep
%setup -q -n %{base_name}-%{version}-RC1
# maven generated build.xml missing in cvs
cp %{SOURCE1} jelly-tags/jmx/build.xml
# optionally inhibit tests to save time
#for b in `find . -name build.xml`; do
#    sed -e 's/ depends="compile,test"/ depends="compile"/' $b > tempf
#    cp tempf $b
#done
# won't run in headless environments
rm -f jelly-tags/swing/src/test/org/apache/commons/jelly/swing/TestSwingTags.java

%patch0 -b .sav

%patch1 -p0

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export JELLY_DEPS=$(build-classpath \
commons-beanutils \
commons-beanutils-bean-collections \
commons-cli \
commons-collections \
commons-discovery \
commons-jexl \
commons-lang \
commons-logging \
taglibs-core \
dom4j \
forehead \
jaxen \
servletapi4 \
xerces-j2 \
xml-commons-apis \
)
JELLY_DEPS=target/classes:target/test-classes:$JELLY_DEPS
export CLASSPATH=$JELLY_DEPS
ant -Dbuild.sysclasspath=only dist
JELLY_TAGS_DEPS=$(pwd)/target/commons-jelly-1.0-beta-5-SNAPSHOT.jar:$JELLY_DEPS
pushd jelly-tags
  pushd junit
    JELLY_TAGS_JUNIT_DEPS=$JELLY_TAGS_DEPS
    CLASSPATH=$JELLY_TAGS_JUNIT_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  JELLY_TAGS_DEPS=../junit/target/commons-jelly-tags-junit-1.0-SNAPSHOT.jar:$JELLY_TAGS_DEPS
  pushd util
    JELLY_TAGS_UTIL_DEPS=$JELLY_TAGS_DEPS
    CLASSPATH=$JELLY_TAGS_UTIL_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd log
    JELLY_TAGS_LOG_DEPS=$JELLY_TAGS_DEPS
    CLASSPATH=$JELLY_TAGS_LOG_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd xml
    JELLY_TAGS_XML_DEPS=$JELLY_TAGS_DEPS
    export CLASSPATH=$JELLY_TAGS_XML_DEPS
    ant -verbose -Dbuild.sysclasspath=only dist
  popd
  pushd ant
    JELLY_TAGS_ANT_DEPS=$JELLY_TAGS_DEPS:../util/target/commons-jelly-tags-util-1.0-SNAPSHOT.jar:$(build-classpath commons-grant)
    CLASSPATH=$JELLY_TAGS_ANT_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd antlr
    JELLY_TAGS_ANTLR_DEPS=$JELLY_TAGS_DEPS:$(build-classpath antlr)
    CLASSPATH=$JELLY_TAGS_ANTLR_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd avalon
    JELLY_TAGS_AVALON_DEPS=$JELLY_TAGS_DEPS:$(build-classpath avalon-framework)
    CLASSPATH=$JELLY_TAGS_AVALON_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd bean
    JELLY_TAGS_BEAN_DEPS=$JELLY_TAGS_DEPS:../log/target/commons-jelly-tags-log-1.0-SNAPSHOT.jar
    CLASSPATH=$JELLY_TAGS_BEAN_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd beanshell
    JELLY_TAGS_BEANSHELL_DEPS=$JELLY_TAGS_DEPS:$(build-classpath bsh libreadline-java)
    CLASSPATH=$JELLY_TAGS_BEANSHELL_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd betwixt
    JELLY_TAGS_BETWIXT_DEPS=$JELLY_TAGS_DEPS:../log/target/commons-jelly-tags-log-1.0-SNAPSHOT.jar:$(build-classpath commons-betwixt commons-digester)
    CLASSPATH=$JELLY_TAGS_BETWIXT_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd bsf
    JELLY_TAGS_BSF_DEPS=$JELLY_TAGS_DEPS:$(build-classpath bsf)
    CLASSPATH=$JELLY_TAGS_BSF_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd dynabean
    JELLY_TAGS_DYNABEAN_DEPS=$JELLY_TAGS_DEPS
    CLASSPATH=$JELLY_TAGS_DYNABEAN_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd define
    JELLY_TAGS_DEFINE_DEPS=$JELLY_TAGS_DEPS:../dynabean/target/commons-jelly-tags-dynabean-1.0-SNAPSHOT.jar:../log/target/commons-jelly-tags-log-1.0-SNAPSHOT.jar:../xml/target/commons-jelly-tags-xml-1.0-SNAPSHOT.jar
    CLASSPATH=$JELLY_TAGS_DEFINE_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd email
    JELLY_TAGS_EMAIL_DEPS=$JELLY_TAGS_DEPS:$(build-classpath jaf javamail)
    CLASSPATH=$JELLY_TAGS_EMAIL_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd fmt
    JELLY_TAGS_FMT_DEPS=$JELLY_TAGS_DEPS:../ant/target/commons-jelly-tags-ant-1.0-SNAPSHOT.jar:../beanshell/target/commons-jelly-tags-beanshell-1.0-SNAPSHOT.jar:$(build-classpath bsh commons-grant)
    CLASSPATH=$JELLY_TAGS_FMT_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd jsl
    JELLY_TAGS_JSL_DEPS=$JELLY_TAGS_DEPS:../ant/target/commons-jelly-tags-ant-1.0-SNAPSHOT.jar:../log/target/commons-jelly-tags-log-1.0-SNAPSHOT.jar:../xml/target/commons-jelly-tags-xml-1.0-SNAPSHOT.jar:$(build-classpath commons-grant)
    CLASSPATH=$JELLY_TAGS_JSL_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd html
    JELLY_TAGS_HTML_DEPS=$JELLY_TAGS_DEPS:../jsl/target/commons-jelly-tags-jsl-1.0-SNAPSHOT.jar:../log/target/commons-jelly-tags-log-1.0-SNAPSHOT.jar:../xml/target/commons-jelly-tags-xml-1.0-SNAPSHOT.jar:$(build-classpath nekohtml)
    CLASSPATH=$JELLY_TAGS_HTML_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd http
    JELLY_TAGS_HTTP_DEPS=$JELLY_TAGS_DEPS:../define/target/commons-jelly-tags-define-1.0-SNAPSHOT.jar:$(build-classpath commons-httpclient)
    CLASSPATH=$JELLY_TAGS_HTTP_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd interaction
    JELLY_TAGS_INTERACTION_DEPS=$JELLY_TAGS_DEPS
    CLASSPATH=$JELLY_TAGS_INTERACTION_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
# We don't ship Jetty
#  pushd jetty
#    JELLY_TAGS_JETTY_DEPS=$JELLY_TAGS_DEPS:../http/target/commons-jelly-tags-http-1.0-SNAPSHOT.jar:$(build-classpath commons-httpclient jetty4 servletapi4)
#    CLASSPATH=$JELLY_TAGS_JETTY_DEPS
#    ant -Dbuild.sysclasspath=only dist
#  popd
# We don't ship jakarta-commons-messenger
#  pushd jms
#    JELLY_TAGS_JMS_DEPS=$JELLY_TAGS_DEPS:$(build-classpath commons-messenger jms)
#    CLASSPATH=$JELLY_TAGS_JMS_DEPS
#    ant -Dbuild.sysclasspath=only dist
#  popd
  pushd jmx
    JELLY_TAGS_JMX_DEPS=$JELLY_TAGS_DEPS:../bean/target/commons-jelly-tags-bean-1.0-SNAPSHOT.jar:../log/target/commons-jelly-tags-log-1.0-SNAPSHOT.jar:$(build-classpath mx4j/mx4j-jmx mx4j/mx4j-tools)
    CLASSPATH=$JELLY_TAGS_JMX_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
# We don't ship db-ojb
#  pushd ojb
#    JELLY_TAGS_OJB_DEPS=$JELLY_TAGS_DEPS:$(build-classpath db-ojb)
#    CLASSPATH=$JELLY_TAGS_OJB_DEPS
#    ant -Dbuild.sysclasspath=only dist
#  popd
# We don't ship quartz
#  pushd quartz
#    JELLY_TAGS_QUARTZ_DEPS=$JELLY_TAGS_DEPS:$(build-classpath log4j quartz)
#    CLASSPATH=$JELLY_TAGS_QUARTZ_DEPS
#    ant -Dbuild.sysclasspath=only dist
#  popd
  pushd soap
    JELLY_TAGS_SOAP_DEPS=$JELLY_TAGS_DEPS:$(build-classpath axis commons-httpclient)
    CLASSPATH=$JELLY_TAGS_SOAP_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd sql
    JELLY_TAGS_SQL_DEPS=$JELLY_TAGS_DEPS:$(build-classpath hsqldb jdbc-stdext)
    CLASSPATH=$JELLY_TAGS_SQL_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd swing
    JELLY_TAGS_SWING_DEPS=$JELLY_TAGS_DEPS
    CLASSPATH=$JELLY_TAGS_SWING_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd threads
    JELLY_TAGS_THREADS_DEPS=$JELLY_TAGS_DEPS
    CLASSPATH=$JELLY_TAGS_THREADS_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd validate
    JELLY_TAGS_VALIDATE_DEPS=$JELLY_TAGS_DEPS:$(build-classpath msv-strict isorelax relaxngDatatype)
    CLASSPATH=$JELLY_TAGS_VALIDATE_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd velocity
    JELLY_TAGS_VELOCITY_DEPS=$JELLY_TAGS_DEPS:$(build-classpath velocity)
    CLASSPATH=$JELLY_TAGS_VELOCITY_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd xmlunit
    JELLY_TAGS_XMLUNIT_DEPS=$JELLY_TAGS_DEPS:../xml/target/commons-jelly-tags-xml-1.0-SNAPSHOT.jar:$(build-classpath xmlunit)
    CLASSPATH=$JELLY_TAGS_XMLUNIT_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd jaxme
    JELLY_TAGS_JAXME_DEPS=$JELLY_TAGS_DEPS:../xmlunit/target/commons-jelly-tags-xmlunit-1.0-SNAPSHOT.jar:$(build-classpath jaxme xmlunit)
    CLASSPATH=$JELLY_TAGS_JAXME_DEPS
    ant -Dbuild.sysclasspath=only dist
  popd
popd

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/jelly-tags
install -pm 644 target/%{base_name}-%{jakarta_version}-beta-5-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

install -pm 644 jelly-tags/ant/target/commons-jelly-tags-ant-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-ant-%{version}.jar
install -pm 644 jelly-tags/antlr/target/commons-jelly-tags-antlr-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-antlr-%{version}.jar
install -pm 644 jelly-tags/avalon/target/commons-jelly-tags-avalon-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-avalon-%{version}.jar
install -pm 644 jelly-tags/bean/target/commons-jelly-tags-bean-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-bean-%{version}.jar
install -pm 644 jelly-tags/beanshell/target/commons-jelly-tags-beanshell-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-beanshell-%{version}.jar
install -pm 644 jelly-tags/betwixt/target/commons-jelly-tags-betwixt-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-betwixt-%{version}.jar
install -pm 644 jelly-tags/bsf/target/commons-jelly-tags-bsf-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-bsf-%{version}.jar
install -pm 644 jelly-tags/define/target/commons-jelly-tags-define-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-define-%{version}.jar
install -pm 644 jelly-tags/dynabean/target/commons-jelly-tags-dynabean-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-dynabean-%{version}.jar
install -pm 644 jelly-tags/email/target/commons-jelly-tags-email-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-email-%{version}.jar
install -pm 644 jelly-tags/fmt/target/commons-jelly-tags-fmt-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-fmt-%{version}.jar
install -pm 644 jelly-tags/html/target/commons-jelly-tags-html-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-html-%{version}.jar
install -pm 644 jelly-tags/http/target/commons-jelly-tags-http-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-http-%{version}.jar
install -pm 644 jelly-tags/interaction/target/commons-jelly-tags-interaction-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-interaction-%{version}.jar
install -pm 644 jelly-tags/jaxme/target/commons-jelly-tags-jaxme-0.1.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-jaxme-%{version}.jar
# We don't ship Jetty
#install -pm 644 jelly-tags/jetty/target/commons-jelly-tags-jetty-1.0-SNAPSHOT.jar \
#      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-jetty-%{version}.jar
# We don't ship jakarta-commons-messenger
#install -pm 644 jelly-tags/jms/target/commons-jelly-tags-jms-1.0-SNAPSHOT.jar \
#      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-jms-%{version}.jar
install -pm 644 jelly-tags/jmx/target/commons-jelly-tags-jmx-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-jmx-%{version}.jar
install -pm 644 jelly-tags/jsl/target/commons-jelly-tags-jsl-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-jsl-%{version}.jar
install -pm 644 jelly-tags/junit/target/commons-jelly-tags-junit-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-junit-%{version}.jar
install -pm 644 jelly-tags/log/target/commons-jelly-tags-log-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-log-%{version}.jar
# We don't ship db-ojb
#install -pm 644 jelly-tags/ojb/target/commons-jelly-tags-ojb-1.0-SNAPSHOT.jar \
#      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-ojb-%{version}.jar
# We don't ship quartz
#install -pm 644 jelly-tags/quartz/target/commons-jelly-tags-quartz-1.0-SNAPSHOT.jar \
#      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-quartz-%{version}.jar
install -pm 644 jelly-tags/soap/target/commons-jelly-tags-soap-1.1-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-soap-%{version}.jar
install -pm 644 jelly-tags/sql/target/commons-jelly-tags-sql-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-sql-%{version}.jar
install -pm 644 jelly-tags/swing/target/commons-jelly-tags-swing-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-swing-%{version}.jar
install -pm 644 jelly-tags/threads/target/commons-jelly-tags-threads-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-threads-%{version}.jar
install -pm 644 jelly-tags/util/target/commons-jelly-tags-util-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-util-%{version}.jar
install -pm 644 jelly-tags/validate/target/commons-jelly-tags-validate-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-validate-%{version}.jar
install -pm 644 jelly-tags/velocity/target/commons-jelly-tags-velocity-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-velocity-%{version}.jar
install -pm 644 jelly-tags/xml/target/commons-jelly-tags-xml-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-xml-%{version}.jar
install -pm 644 jelly-tags/xmlunit/target/commons-jelly-tags-xmlunit-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-xmlunit-%{version}.jar

# We don't ship jakarta-commons-messenger
# We don't ship Jetty
# We don't ship db-ojb
# We don't ship quartz
#export taglibs="ant antlr avalon bean beanshell betwixt bsf define dynabean email fmt html http interaction jaxme jetty jms jmx jsl junit log ojb quartz soap sql swing threads util validate velocity xml xmlunit"
export taglibs="ant antlr avalon bean beanshell betwixt bsf define dynabean email fmt html http interaction jaxme jmx jsl junit log soap sql swing threads util validate velocity xml xmlunit"

(
cd $RPM_BUILD_ROOT%{_javadir} 
for tag in ${taglibs}; do
  ln -sf jelly-tags/%{name}-tags-${tag}-%{version}.jar %{name}-tags-${tag}.jar
done
for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done
for jar in jakarta-*.jar; do ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`; done
cd jelly-tags
for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done
for jar in jakarta-*.jar; do ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`; done
)

#javadoc dirs
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jelly-tags
for tag in ${taglibs}; do
  install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jelly-tags/${tag}
done

#javadoc files
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
for tag in ${taglibs}; do
  cp -pr jelly-tags/${tag}/dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jelly-tags/${tag}
done

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/jakarta-commons-jelly-1.0.jar
%{_javadir}/jakarta-commons-jelly.jar
%{_javadir}/commons-jelly-1.0.jar
%{_javadir}/commons-jelly.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files    tags-ant
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-ant.jar
%{_javadir}/commons-jelly-tags-ant.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-ant-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-ant.jar
%{_javadir}/jelly-tags/commons-jelly-tags-ant-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-ant.jar

%files    tags-antlr
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-antlr.jar
%{_javadir}/commons-jelly-tags-antlr.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-antlr-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-antlr.jar
%{_javadir}/jelly-tags/commons-jelly-tags-antlr-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-antlr.jar

%files    tags-avalon
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-avalon.jar
%{_javadir}/commons-jelly-tags-avalon.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-avalon-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-avalon.jar
%{_javadir}/jelly-tags/commons-jelly-tags-avalon-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-avalon.jar

%files    tags-bean
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-bean.jar
%{_javadir}/commons-jelly-tags-bean.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-bean-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-bean.jar
%{_javadir}/jelly-tags/commons-jelly-tags-bean-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-bean.jar

%files    tags-beanshell
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-beanshell.jar
%{_javadir}/commons-jelly-tags-beanshell.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-beanshell-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-beanshell.jar
%{_javadir}/jelly-tags/commons-jelly-tags-beanshell-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-beanshell.jar

%files    tags-betwixt
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-betwixt.jar
%{_javadir}/commons-jelly-tags-betwixt.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-betwixt-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-betwixt.jar
%{_javadir}/jelly-tags/commons-jelly-tags-betwixt-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-betwixt.jar

%files    tags-bsf
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-bsf.jar
%{_javadir}/commons-jelly-tags-bsf.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-bsf-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-bsf.jar
%{_javadir}/jelly-tags/commons-jelly-tags-bsf-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-bsf.jar

%files    tags-define
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-define.jar
%{_javadir}/commons-jelly-tags-define.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-define-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-define.jar
%{_javadir}/jelly-tags/commons-jelly-tags-define-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-define.jar

%files    tags-dynabean
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-dynabean.jar
%{_javadir}/commons-jelly-tags-dynabean.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-dynabean-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-dynabean.jar
%{_javadir}/jelly-tags/commons-jelly-tags-dynabean-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-dynabean.jar

%files    tags-email
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-email.jar
%{_javadir}/commons-jelly-tags-email.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-email-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-email.jar
%{_javadir}/jelly-tags/commons-jelly-tags-email-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-email.jar

%files    tags-fmt
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-fmt.jar
%{_javadir}/commons-jelly-tags-fmt.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-fmt-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-fmt.jar
%{_javadir}/jelly-tags/commons-jelly-tags-fmt-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-fmt.jar

%files    tags-html
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-html.jar
%{_javadir}/commons-jelly-tags-html.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-html-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-html.jar
%{_javadir}/jelly-tags/commons-jelly-tags-html-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-html.jar

%files    tags-http
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-http.jar
%{_javadir}/commons-jelly-tags-http.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-http-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-http.jar
%{_javadir}/jelly-tags/commons-jelly-tags-http-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-http.jar

%files    tags-interaction
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-interaction.jar
%{_javadir}/commons-jelly-tags-interaction.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-interaction-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-interaction.jar
%{_javadir}/jelly-tags/commons-jelly-tags-interaction-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-interaction.jar

%files    tags-jaxme
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-jaxme.jar
%{_javadir}/commons-jelly-tags-jaxme.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jaxme-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jaxme.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jaxme-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jaxme.jar

# We don't ship Jetty
#%files    tags-jetty
#%defattr(-,root,root,-)
#%{_javadir}/jakarta-commons-jelly-tags-jetty.jar
#%{_javadir}/commons-jelly-tags-jetty.jar
#%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jetty-1.0.jar
#%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jetty.jar
#%{_javadir}/jelly-tags/commons-jelly-tags-jetty-1.0.jar
#%{_javadir}/jelly-tags/commons-jelly-tags-jetty.jar

# We don't ship jakarta-commons-messenger
#%files    tags-jms
#%defattr(-,root,root,-)
#%{_javadir}/jakarta-commons-jelly-tags-jms.jar
#%{_javadir}/commons-jelly-tags-jms.jar
#%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jms-1.0.jar
#%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jms.jar
#%{_javadir}/jelly-tags/commons-jelly-tags-jms-1.0.jar
#%{_javadir}/jelly-tags/commons-jelly-tags-jms.jar

%files    tags-jmx
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-jmx.jar
%{_javadir}/commons-jelly-tags-jmx.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jmx-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jmx.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jmx-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jmx.jar

%files    tags-jsl
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-jsl.jar
%{_javadir}/commons-jelly-tags-jsl.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jsl-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jsl.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jsl-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jsl.jar

%files    tags-junit
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-junit.jar
%{_javadir}/commons-jelly-tags-junit.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-junit-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-junit.jar
%{_javadir}/jelly-tags/commons-jelly-tags-junit-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-junit.jar

%files    tags-log
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-log.jar
%{_javadir}/commons-jelly-tags-log.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-log-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-log.jar
%{_javadir}/jelly-tags/commons-jelly-tags-log-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-log.jar
 
# We don't ship db-ojb
#%files    tags-ojb
#%defattr(-,root,root,-)
#%{_javadir}/jakarta-commons-jelly-tags-ojb.jar
#%{_javadir}/commons-jelly-tags-ojb.jar
#%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-ojb-1.0.jar
#%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-ojb.jar
#%{_javadir}/jelly-tags/commons-jelly-tags-ojb-1.0.jar
#%{_javadir}/jelly-tags/commons-jelly-tags-ojb.jar

# We don't ship quartz
#%files    tags-quartz
#%defattr(-,root,root,-)
#%{_javadir}/jakarta-commons-jelly-tags-quartz.jar
#%{_javadir}/commons-jelly-tags-quartz.jar
#%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-quartz-1.0.jar
#%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-quartz.jar
#%{_javadir}/jelly-tags/commons-jelly-tags-quartz-1.0.jar
#%{_javadir}/jelly-tags/commons-jelly-tags-quartz.jar

%files    tags-soap
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-soap.jar
%{_javadir}/commons-jelly-tags-soap.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-soap-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-soap.jar
%{_javadir}/jelly-tags/commons-jelly-tags-soap-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-soap.jar

%files    tags-sql
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-sql.jar
%{_javadir}/commons-jelly-tags-sql.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-sql-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-sql.jar
%{_javadir}/jelly-tags/commons-jelly-tags-sql-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-sql.jar

%files    tags-swing
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-swing.jar
%{_javadir}/commons-jelly-tags-swing.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-swing-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-swing.jar
%{_javadir}/jelly-tags/commons-jelly-tags-swing-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-swing.jar

%files    tags-threads
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-threads.jar
%{_javadir}/commons-jelly-tags-threads.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-threads-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-threads.jar
%{_javadir}/jelly-tags/commons-jelly-tags-threads-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-threads.jar

%files    tags-util
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-util.jar
%{_javadir}/commons-jelly-tags-util.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-util-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-util.jar
%{_javadir}/jelly-tags/commons-jelly-tags-util-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-util.jar

%files    tags-validate
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-validate.jar
%{_javadir}/commons-jelly-tags-validate.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-validate-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-validate.jar
%{_javadir}/jelly-tags/commons-jelly-tags-validate-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-validate.jar

%files    tags-velocity
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-velocity.jar
%{_javadir}/commons-jelly-tags-velocity.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-velocity-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-velocity.jar
%{_javadir}/jelly-tags/commons-jelly-tags-velocity-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-velocity.jar

%files    tags-xml
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-xml.jar
%{_javadir}/commons-jelly-tags-xml.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-xml-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-xml.jar
%{_javadir}/jelly-tags/commons-jelly-tags-xml-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-xml.jar

%files    tags-xmlunit
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-xmlunit.jar
%{_javadir}/commons-jelly-tags-xmlunit.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-xmlunit-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-xmlunit.jar
%{_javadir}/jelly-tags/commons-jelly-tags-xmlunit-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-xmlunit.jar


%changelog
* Wed Apr 27 2005 Fernando Nasser <fnasser@redhat.com> - 0:1.0-0.rc1.2jpp_2rh
- Rebuilt with beanutils 1.7 with optiona bean-collections jar

* Wed Apr 27 2005 Fernando Nasser <fnasser@redhat.com> - 0:1.0-0.rc1.2jpp_1rh
- First Red Hat build
- Do not build tags-jms for lack of commons-messenger
- Do not build tags-jetty for lack of jetty
- Do not build tags-ojb for lack of db-ojb
- Do not build tags-quartz for lack of db-quartz

* Mon Jan 31 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.rc1.2jpp
- Revert beanutils requirement to < 1.7 i.e. jakarta-commons-beanutils16

* Sat Jan 29 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.rc1.1jpp
- Upgrade to RC1
- Built with beanutils-1.7.0-2jpp

* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b4.7jpp
- Rebuild with db-ojb-1.0.1 and quartz-1.4.2

* Fri Sep 17 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b4.6jpp
- Pro forma update to leave runaway jelly-tags-antlr behind

* Mon Sep 13 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b4.5jpp
- Include the tag libraries in this source package
- Include javadoc for tag libraries in only one -javadoc subpackage
- Install tag library jars into %{_javadir}/jelly-tags
- Create unversioned compatibility symlinks to taglib jars in %{_javadir}
- Upgrade to use jaxen-1.1 and dom4j-1.5
- Drop saxpath requirement, as this is now part of jaxen

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.0-0.b4.4jpp
- Rebuild with ant-1.6.2

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b4.3jpp
- Void change

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:1.0-0.b4.2jpp
- Upgrade to Ant 1.6.X

* Fri Jan 23 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b4.1jpp
- First JPackage release
